## pycontrol4 1.5.0

=== requirements.txt ===
aiohttp
async_timeout
xmltodict
python-socketio-v4
websocket-client

## pycontrol4 1.2.1

=== debian/changelog ===
pycontrol4 (1.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sat, 14 Dec 2024 08:30:01 +0000

pycontrol4 (1.1.2-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Tue, 03 Dec 2024 22:14:42 +0000

pycontrol4 (1.1.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1088902)

 -- Edward Betts <edward@4angle.com>  Mon, 02 Dec 2024 17:26:32 +0000

=== debian/control ===
Source: pycontrol4
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/lawtancool/pyControl4
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pycontrol4
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pycontrol4.git

Package: python3-pycontrol4
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Asynchronous library for Control4 system interaction
 This library offers an interface to communicate with Control4 home automation
 systems via their REST API. It enables users to monitor and control various
 devices such as lights and media equipment on their local network. It achieves
 this through asynchronous operations, allowing for efficient management and
 state polling of connected devices without causing lag or performance issues in
 the network. With a focus on local control, it does not require remote access
 solutions for its functionality. The library's functions facilitate direct
 interaction with the Control4 controller, obtaining device information, state
 updates, and performing actions such as adjusting light levels.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pycontrol4
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pycontrol4.egg-info/


override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pycontrol4-$1\.tar\.gz/ \
  https://github.com/lawtancool/pyControl4/tags .*/v?(\d\S+)\.tar\.gz

## pycontrol4 1.5.0

=== debian/changelog ===
pycontrol4 (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update Standards-Version.
  * Update copyright year.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.
  * Simplify debian/rules.

 -- Edward Betts <edward@4angle.com>  Fri, 03 Oct 2025 10:20:42 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,7 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/lawtancool/pyControl4
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pycontrol4
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pycontrol4.git

=== debian/watch ===
Version: 5

Template: Github
Owner: lawtancool
Project: pyControl4

## pycontrol4 1.6.0

=== requirements.txt ===
aiohttp
xmltodict
python-socketio-v4
websocket-client

=== debian/changelog ===
pycontrol4 (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Priority: optional', now the default.
  * Update Standards-Version.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Sat, 07 Feb 2026 09:20:49 +0000

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,13 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/lawtancool/pyControl4
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pycontrol4
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pycontrol4.git

## pycontrol4 2.0.2

=== debian/changelog ===
pycontrol4 (2.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Replace upstream use of `socketio_v4` with `socketio` v5.
  * Upstream added tests.

 -- Edward Betts <edward@4angle.com>  Tue, 24 Feb 2026 08:11:11 +0000

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,23 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
+Build-Depends-Indep:
+ python3-aiohttp <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-asyncio <!nocheck>,
+ python3-socketio <!nocheck>,
+ python3-websocket <!nocheck>,
+ python3-xmltodict <!nocheck>,
 Standards-Version: 4.7.3
 Homepage: https://github.com/lawtancool/pyControl4
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pycontrol4
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pycontrol4.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pycontrol4
 Architecture: all
 Depends:
+ python3-socketio,
  ${misc:Depends},
  ${python3:Depends},
 Description: Asynchronous library for Control4 system interaction

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=-k "not test_sio_connect_with_session"
%:
	dh $@ --buildsystem=pybuild
